folder = 'mesh/'
ebug = {debugMode = true, debugfiles =true}

minlevel = 7   --- minlevel is 7
-- bounding_cube: Two entries: origin and  length in this order,
-- if no keys are used

bounding_cube = {origin = {-8.0, -1.0, -1.0},
               length = 16.0}
---spatial object is composed by the attribute and geometry 

spatial_object = {
  { 
  attribute = {
   kind = 'seed',  --- kind is nothing but seed/refinement/boudary/Periodic
  },
  geometry = {
   kind = 'canoND', --- kind is nothing but the canoND/sphere/stl/cylinder/periodic
   object = {
     origin = {0.0,0.0,0.0 }  -----origin of the seed
     }
   }
  },
  { 
  attribute = {
    kind = 'boundary', 
    label= 'top'            ----for top
  },
  geometry ={
    kind = 'canoND',
    object = {
      origin = {-8.0,-1.0,1.0}, ---plane is composed by the origin and two vector
      vec = { {16.0,0.0,0.0 },  
             {0.0,2.0,0.0}
      }
    }
  }
  },
  { 
  attribute = {
    kind = 'boundary', 
    label= 'bottom'   ---- for bottom
 },
  geometry ={
    kind = 'canoND',
    object = {
      origin = {-8.0,-1.0,-1.0},
      vec = { {16.0,0.0,0.0},
             {0.0,2.0,0.0}
     }
   } -- object
 }  --- geometry
 }, --- attribute
 { 
 attribute = {
  kind = 'boundary', 
  label= 'east'  --- for east
 },
  geometry ={
   kind = 'canoND',
   object = {
     origin = {8.0,-1.0,-1.0},
     vec = { {0.0,2.0,0.0},
             {8.0,-1.0,-1.0}
     }
   }
 }
 },
 { 
 attribute = {
  kind = 'boundary', 
  label= 'west',  --- for west
 },
  geometry ={
  kind = 'canoND',
  object = {
    origin = {-8.0,-1.0,-1.0},
     vec = { {0.0,2.0,0.0},
             {0.0,0.0,2.0}
     }
   }
 }
 },
 { 
 attribute = {
  kind = 'boundary', 
  label= 'north',  -- for north
 },
  geometry ={
  kind = 'canoND',
  object = {
    origin = {-8.0,1.0,-1.0},
     vec = { {16.0,0.0,0.0},
             {0.0,0.0,2.0}
     }
   }
 }
 },
 { 
 attribute = {
  kind = 'boundary', 
  label= 'south',  --- for south
 },
  geometry ={
  kind = 'canoND',
  object = {
    origin = {-8.0,-1.0,-1.0},
     vec = { {16.0,0.0,0.0},
             {0.0,0.0,2.0}
     }
   }
 }
 },
 { 
 attribute = {
  kind = 'boundary', 
  label= 'obst',   --- for obst
 },
geometry ={
  kind = 'canoND',
  object = {
    origin = {-2.0,-0.2,-0.5},
     vec = { {0.0,4.0,0.0},
             {0.0,0.0,0.4}
     }
   }
 }
}
}  

-- geom: to define intrinsic geometries.
-- Possible geom: spheres, planes

