# path_to_lib is must                                                                #
#path_to_lib = '/Network/Servers/grsacx01.grs.rwth-aachen.de/Volumes/home/hasert/repo/apes/shepherd/lib/'
#apesdir = '/Network/Servers/grsacx01.grs.rwth-aachen.de/Volumes/home/hasert/repo/apes/'
apesdir='/lustre/jhome15/grs100/grs10005/apes/'
path_to_lib = apesdir+'shepherd/lib/'

# Production directory - default production directory is 'prod'
# comment out if you don't want user defined production directory
prod_dir = 'prod_test'
##################################################################################
										     #
seeder_template = 'seeder_multilevel.template'
run_preproc_exec = True 
path_to_preproc_exec = apesdir+'seeder/build/seeder'			     #
seeder_params = [["level",8,9,11],["refine",1]]			     #
run_command_preproc = path_to_preproc_exec               			     #
#################################################################################
										     #
lua_template = 'musubi_multilevel.template'					     #
run_solver_exec = False
path_to_solver_exec = apesdir+'musubi/build/musubi'
lua_params = [[ "rel", 'mrt'],
              ["stencil", 'd3q19'],
              ["intp", 'quadratic' ],
              ["scl", 'acoustic'],
              ["Re", 10000],
              ["dpF", 10],
              #["intp", 'linear', 'quadratic'],
              #["scl", 'diffusive', 'acoustic']
             ]
solver_argument = ' | tee musubi_log.out'
run_command_solver = '' #mpiexec -n 1'


#----------------------------------------------------
jobscript_template = 'juropa.template'
submit_job = True
sub_command = 'msub'
job_params = [  [ "NODES", 8 ] ]
additional_par=dict(mail = 'm.hasert@grs-sim.de', 
                    time = '00:30:00')


